Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class ValidationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.ValidationException

Direct Known Subclasses:
  AttrValException, RowValException

public class ValidationException
extends JboException

Indicates a validation failure. This class may be extended to provide localizable exceptions to arbitrary bundle classes.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`ValidationException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.Object[] params)` Creates a localizable exception.
`ValidationException(java.lang.String msg, java.lang.String errorCode, java.lang.Object[] params)` Creates a formattable but non-localizable exception.

Method Summary
`static void` | `raise(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.Object[] params, java.util.Vector details)` Creates a localizable exception.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException(java.lang.Class resBundleClass,
                               java.lang.String errorCode,
                               java.lang.Object[] params)

  Creates a localizable exception.
  Parameters:
    `resBundleClass` - a resource bundle.
    `errorCode` - an error or message code.
    `params` - an array of parameters for the formatted message.

### ValidationException

    public ValidationException(java.lang.String msg,
                               java.lang.String errorCode,
                               java.lang.Object[] params)

  Creates a formattable but non-localizable exception.
  Parameters:
    `msg` - the unformatted text of the message.
    `errorCode` - an error code.
    `params` - the error message's parameters.

Method Detail

### raise

    public static void raise(java.lang.Class resBundleClass,
                             java.lang.String errorCode,
                             java.lang.Object[] params,
                             java.util.Vector details)

  Creates a localizable exception.
  Parameters:
    `resBundleClass` - a resource bundle.
    `errorCode` - an error or message code.
    `params` - an array of parameters for the formatted message.
    `details` - a detail list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD